Bug 243809 - Oops in kcryptd
Oops in kcryptd
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-11 20:34 EDT by Martin Ebourne
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-07 17:28:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Ebourne 2007-06-11 20:34:35 EDT
Description of problem:
kcryptd crashes while writing to disk.

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.2952.fc6

How reproducible:
Unknown

Steps to Reproduce:
1. Mount disk using cryptsetup luksOpen
2. Copy large file to encrypted partition
  
Actual results:
Jun 12 00:13:23 hordein kernel: Unable to handle kernel NULL pointer dereference
at 0000000000000000 RIP: 
Jun 12 00:13:23 hordein kernel:  [<ffffffff8022d505>]
blk_recount_segments+0x74/0x32a
Jun 12 00:13:23 hordein kernel: PGD 45fd0067 PUD 5b381067 PMD 0 
Jun 12 00:13:23 hordein kernel: Oops: 0000 [1] SMP 
Jun 12 00:13:23 hordein kernel: last sysfs file:
/devices/platform/i2c-9191/9191-0290/cpu0_vid
Jun 12 00:13:23 hordein kernel: CPU 0 
Jun 12 00:13:23 hordein kernel: Modules linked in: nfsd exportfs nfs_acl lockd
sha256 aes cbc blkcipher dm_crypt fuse it87 hwmon_vid eeprom i2c_isa hidp rfcomm
l2cap bluetooth sunrpc ipt_LOG nf_conntrack_ipv4 xt_state nf_conntrack nfnetlink
xt_tcpudp xt_limit iptable_filter ip_tables x_tables cpufreq_ondemand xfs video
sbs i2c_ec dock button battery asus_acpi backlight ac lp shpchp dst dvb_bt8xx
bt878 snd_intel8x0 snd_ac97_codec ac97_bus snd_usb_audio snd_seq_dummy
snd_seq_oss snd_seq_midi_event snd_seq tuner tda1004x pcspkr snd_pcm_oss
budget_ci budget_core snd_mixer_oss dvb_core bttv saa7146 snd_pcm i2c_nforce2
video_buf sg ttpci_eeprom snd_timer snd_page_alloc compat_ioctl32 k8temp hwmon
forcedeth snd_usb_lib i2c_algo_bit ir_common btcx_risc snd_rawmidi tveeprom
k8_edac snd_seq_device videodev ohci1394 edac_mc parport_pc v4l2_common i2c_core
ieee1394 prism54 v4l1_compat parport snd_hwdep snd soundcore dm_snapshot dm_zero
dm_mirror dm_mod sata_nv libata sd_mod scsi_mod raid456 xor raid1 ext3 jbd
ehci_hcd ohci_
Jun 12 00:13:23 hordein kernel: cd uhci_hcd
Jun 12 00:13:23 hordein kernel: Pid: 13355, comm: kcryptd/0 Not tainted
2.6.20-1.2952.fc6 #1
Jun 12 00:13:23 hordein kernel: RIP: 0010:[<ffffffff8022d505>] 
[<ffffffff8022d505>] blk_recount_segments+0x74/0x32a
Jun 12 00:13:23 hordein kernel: RSP: 0000:ffff810003a29d50  EFLAGS: 00010293
Jun 12 00:13:23 hordein kernel: RAX: 0000000000000000 RBX: ffff81001ba4aac0 RCX:
0000000000000000
Jun 12 00:13:23 hordein kernel: RDX: 0000000000000047 RSI: ffff81001ba4aac0 RDI:
ffff81005823f2d8
Jun 12 00:13:23 hordein kernel: RBP: ffff81002afb3800 R08: ffff810003a28000 R09:
000065b0fee974ba
Jun 12 00:13:23 hordein kernel: R10: 0000000000000000 R11: ffffffff8033a91b R12:
ffff81000a9bdc40
Jun 12 00:13:23 hordein kernel: R13: ffff810005e7c4c0 R14: 0000000000000000 R15:
0000000000000000
Jun 12 00:13:23 hordein kernel: FS:  00002aaaaaacabf0(0000)
GS:ffffffff805d3000(0000) knlGS:0000000000000000
Jun 12 00:13:23 hordein kernel: CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
Jun 12 00:13:23 hordein kernel: CR2: 0000000000000000 CR3: 0000000038484000 CR4:
00000000000006e0
Jun 12 00:13:23 hordein kernel: Process kcryptd/0 (pid: 13355, threadinfo
ffff810003a28000, task ffff81000423f040)
Jun 12 00:13:23 hordein kernel: Stack:  ffff81005823f2d8 ffffffff0000f1a1
0000000000000000 ffff810000000001
Jun 12 00:13:23 hordein kernel:  0000000000000001 ffffffff80584de8
0000000000000005 ffff81001ba4aac0
Jun 12 00:13:23 hordein kernel:  ffff81005823f2d8 ffff81000a9bdc40
ffff810005e7c4c0 0000000000000047
Jun 12 00:13:23 hordein kernel: Call Trace:
Jun 12 00:13:23 hordein kernel:  [<ffffffff802e2b8c>] __bio_clone+0x71/0x8a
Jun 12 00:13:23 hordein kernel:  [<ffffffff885629a6>]
:dm_crypt:kcryptd_do_work+0x1e0/0x38f
Jun 12 00:13:23 hordein kernel:  [<ffffffff885627c6>]
:dm_crypt:kcryptd_do_work+0x0/0x38f
Jun 12 00:13:23 hordein kernel:  [<ffffffff8024a3ae>] run_workqueue+0x95/0x140
Jun 12 00:13:23 hordein kernel:  [<ffffffff80246f7b>] worker_thread+0x0/0x150
Jun 12 00:13:23 hordein kernel:  [<ffffffff80297a1e>]
keventd_create_kthread+0x0/0x6a
Jun 12 00:13:23 hordein kernel:  [<ffffffff80247095>] worker_thread+0x11a/0x150
Jun 12 00:13:23 hordein kernel:  [<ffffffff8028626f>] default_wake_function+0x0/0xe
Jun 12 00:13:23 hordein kernel:  [<ffffffff802318bd>] kthread+0xd0/0xff
Jun 12 00:13:23 hordein kernel:  [<ffffffff8025aec8>] child_rip+0xa/0x12
Jun 12 00:13:23 hordein kernel:  [<ffffffff80297a1e>]
keventd_create_kthread+0x0/0x6a
Jun 12 00:13:23 hordein kernel:  [<ffffffff802317ed>] kthread+0x0/0xff
Jun 12 00:13:23 hordein kernel:  [<ffffffff8025aebe>] child_rip+0x0/0x12
Jun 12 00:13:23 hordein kernel: 
Jun 12 00:13:23 hordein kernel: 
Jun 12 00:13:23 hordein kernel: Code: 49 8b 32 48 c1 ee 33 48 89 f0 48 c1 e8 09
48 8b 3c c5 00 fd 
Jun 12 00:13:23 hordein kernel: RIP  [<ffffffff8022d505>]
blk_recount_segments+0x74/0x32a
Jun 12 00:13:23 hordein kernel:  RSP <ffff810003a29d50>
Jun 12 00:13:23 hordein kernel: CR2: 0000000000000000


Expected results:
No crash

Additional info:
Machine has several encrypted disks and was running fine under previous kernels
(89 days uptime on kernel-2.6.20-1.2933.fc6 until it was upgraded yesterday).
Comment 1 Chuck Ebbert 2007-06-12 17:39:47 EDT
What filesystem is the device using?
Also, what kind of disk/controller?
Comment 2 Martin Ebourne 2007-06-12 18:46:42 EDT
xfs on cryptfs on 750GB LV (lvm2)

LUKS header:
Version:        1
Cipher name:    aes
Cipher mode:    cbc-essiv:sha256
Hash spec:      sha1
Payload offset: 2056
MK bits:        256

sata_nv:
00:0a.0 IDE interface: nVidia Corporation CK8S Serial ATA Controller (v2.5) (rev a2)

Model Family:     Seagate Barracuda 7200.10 family
Device Model:     ST3750640AS

Comment 3 Chuck Ebbert 2007-06-12 18:57:21 EDT
Bug has apparently been there a long time:

http://bugzilla.kernel.org/show_bug.cgi?id=5948

patches needed:

027581f3515b5ec2218847dab578afa439a9d6b9
98221eb757de03d9aa6262b1eded2be708640ccc
2f9941b6c55d70103c1bc3f2c7676acd9f20bf8a
f97380bcadd6bd2e368727de4061aaba4989c426


Comment 4 Chuck Ebbert 2007-06-13 15:40:18 EDT
Should be fixed in kernel 1.2960, building now.

This bug is hard to hit, so it may be difficult to tell if it's
really fixed.
Comment 5 Martin Ebourne 2007-07-07 17:28:20 EDT
Upgraded to 2.6.20-1.2962.fc6 and done some more copying of large files
(including the original one) all fine.

As you say, hard to hit, so probably a good idea to close this ticket, can
always be reopened if the problem occurs again.

Note You need to log in before you can comment on or make changes to this bug.